/*
 * @Author: zc
 * @description 业务查询-终结件查询
 */
import request from '@/utils/request';
/**
 * @description 新增终结件
 * @param {object} data
 */
export const addEnd = (data:object) => {
    return request({
        url: `/api/v1/Order/order_finality`,
        method: 'post',
        data
    });
};
/**
 * @description 删除终结件
 * @param {object} data
 */
export const deleteEnd = (data:object) => {
    return request({
        url: `/api/v1/Order/order_finality`,
        method: 'delete',
        data
    });
};
/**
 * @description 终结件列表
 * @param {object} params
 */
export const endList = (params:object) => {
    return request({
        url: `/api/v1/Order/order_finality/list`,
        method: 'get',
        params
    });
};